%global pypi_name wrapt

Name:           python-%{pypi_name}
Version:        1.12.1
Release:        %mkrel 1
Group:          Development/Python
Summary:        Python module for decorators, wrappers and monkey patching
License:        BSD
URL:            https://github.com/GrahamDumpleton/wrapt
Source0:        http://pypi.io/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

%description
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%package -n python3-%{pypi_name}
Summary:        Python module for decorators, wrappers and monkey patching
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
The aim of the wrapt module is to provide a transparent object proxy for
Python, which can be used as the basis for the construction of function
wrappers and decorator functions.

%prep
%setup -q -n %{pypi_name}-%{version}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/*


%changelog
* Thu Sep 17 2020 guillomovitch <guillomovitch> 1.12.1-1.mga8
+ Revision: 1627504
- new version 1.12.1

* Sun Feb 16 2020 umeabot <umeabot> 1.11.2-2.mga8
+ Revision: 1531635
- Mageia 8 Mass Rebuild

* Sat Sep 07 2019 wally <wally> 1.11.2-1.mga8
+ Revision: 1438138
- new version 1.11.2
- drop python2 support
- rebuild for python3.8

* Sat Apr 20 2019 wally <wally> 1.11.1-1.mga7
+ Revision: 1394109
- new version 1.11.1

* Tue Jan 08 2019 tv <tv> 1.10.11-3.mga7
+ Revision: 1351871
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.10.11-2.mga7
+ Revision: 1300618
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 1.10.11-1.mga7
+ Revision: 1211347
- Update to version 1.10.11
- Use new py macros
- Use python_provide
- Renamed python-wrapt to python2-wrapt

* Sat Aug 05 2017 pterjan <pterjan> 1.10.5-4.mga7
+ Revision: 1135695
- Rebuild for python 3.6

* Fri Feb 12 2016 umeabot <umeabot> 1.10.5-3.mga6
+ Revision: 958696
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.10.5-2.mga6
+ Revision: 887731
- rebuild for python 3.5

* Tue Sep 01 2015 fwang <fwang> 1.10.5-1.mga6
+ Revision: 871821
- arch dependent package
- imported package python-wrapt

